Search found 16 matches

Go to advanced search

by nmt
Mon Mar 27, 2017 5:10 pm
Forum: Python scripting and macros
Topic: makeFilledFace crashing FreeCAD
Replies: 12
Views: 213

Re: makeFilledFace crashing FreeCAD

They have confirmed it on MantisBT and they have the traceback there: https://freecadweb.org/tracker/view.php?id=2985#c8716 Confirmed using 10653 from GitHub on both Qt4 and Qt5. Did not crash when compiled locally (i.e. Debug build on 10.12) so traceback is from the GitHub/Travis build on 10.10.
by nmt
Sun Mar 26, 2017 8:57 pm
Forum: Python scripting and macros
Topic: What happened to Part.BOPTools?
Replies: 3
Views: 63

Re: What happened to Part.BOPTools?

Worked. Many thanks to both!
by nmt
Sun Mar 26, 2017 8:13 pm
Forum: Python scripting and macros
Topic: What happened to Part.BOPTools?
Replies: 3
Views: 63

What happened to Part.BOPTools?

Hello, I must be going crazy. I just updated FreeCAD and I no longer have Part.BOPTools etc.. Am I missing something?? Has this been deprecated? And if so, what is the new way of doing things? This is the code I am trying to run: import Part doc = FreeCAD.newDocument('Embed') Gui.ActiveDocument.Acti...
by nmt
Sun Mar 26, 2017 8:06 pm
Forum: Python scripting and macros
Topic: makeFilledFace crashing FreeCAD
Replies: 12
Views: 213

Re: makeFilledFace crashing FreeCAD

@nmt are you able to let run it in the debugger? Then we know more where the crash actually happens.


Sorry, I am not set up to compile FreeCAD on my Mac. If someone can point me to an executable that has already been compiled with the debug flag, I can give it a try.
by nmt
Sun Mar 26, 2017 9:38 am
Forum: Python scripting and macros
Topic: makeFilledFace crashing FreeCAD
Replies: 12
Views: 213

Re: makeFilledFace crashing FreeCAD

Thank you for alerting me to update. I updated FreeCAD (see below) and ran the python script from the command line and received the same non-informative crash report as you. I have submitted a crash/bug report https://www.freecadweb.org/tracker/view.php?id=2985 Nmt-MacBook-Pro:MacOS nmt$ ./FreeCADCm...
by nmt
Sat Mar 25, 2017 10:40 pm
Forum: Python scripting and macros
Topic: makeFilledFace crashing FreeCAD
Replies: 12
Views: 213

Re: makeFilledFace crashing FreeCAD

This is my FC info. I just tried it again and it is still a hard crash. And it does not crash until the last line is entered. OS: Mac OS X Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.17.10163 (Git) Build type: Release Branch: (detached from 1f12a3f) Hash: 1f12a3f65c474ddb1965626e...
by nmt
Sat Mar 25, 2017 8:20 pm
Forum: Python scripting and macros
Topic: makeFilledFace crashing FreeCAD
Replies: 12
Views: 213

makeFilledFace crashing FreeCAD

The following very short script is crashing FreeCAD for me at the makeFilledFace line. Any ideas? import Part v1 = App.Vector(0.0,0.0,0.0) v2 = App.Vector(10.0,0.0,0.0) v3 = App.Vector(10.0,0.0,10.0) v4 = App.Vector(0.0,0.0,10.0) edge1 = Part.makeLine(v1, v2) edge2 = Part.makeLine(v2, v3) edge3 = Pa...
by nmt
Sat Mar 25, 2017 2:57 pm
Forum: Help on using FreeCAD
Topic: Projecting curve onto face
Replies: 13
Views: 3072

Re: Projecting curve onto face

Hello, I am getting similar results. In the attached images, I project a face unto a cylinder. Both sit on the XY-plane. So, in addition to two projections on the near and far surfaces, I am getting a projection on the bottom of the cylinder. I cannot filter the resulting wires because their edges a...
by nmt
Mon Mar 20, 2017 11:18 pm
Forum: Python scripting and macros
Topic: Is there a way to make a Face the SubShape of another Face?
Replies: 2
Views: 56

Is there a way to make a Face the SubShape of another Face?

Hello, Is there a way (in python) to add a sub-face to a face? I want to represent conceptually the idea of a window or a wall as a sub-face to a wall face. However, I need the entity to stay as a "Part.Face" rather than a compound as I need to build a shell/solid out of it. I tried adding...
by nmt
Fri Mar 10, 2017 7:43 pm
Forum: Python scripting and macros
Topic: Python access to TopExp Class and MapShapesAndAncestors
Replies: 1
Views: 91

Python access to TopExp Class and MapShapesAndAncestors

Does FreeCAD offer access to TopExp Class through Python? In particular the MapShapesAndAncestors function?


Go to advanced search